@import "2020base";
@import "vendor/bootstrap/bootstrap/modals";
@import "vendor/slick";

h1,h2,h3,h4,h5,h6 {
  font-weight: 400;
}

//footer
body .footer .container a{
  color: inherit;
  text-decoration: none;
}

////////////////////////////////
///////////* PLAN MATRIX *////////////
////////////////////////////////

.plan {
  outline: none;
  padding: 1.4rem 1.4rem 1.4rem 1.4rem;
  text-align: center;
}

.plan .who-for {
  @include slp-font-size-xl;
  margin-bottom: 2.4rem;
}

.plan-inner-wrapper {
  border-radius: $border-radius-large;
  border-style: solid;
  border-width: 10px 2px 2px 2px;
  padding: 2.4rem 1.4rem;
}

.plan-free .plan-inner-wrapper {
  border-color: $color-black333;
}

.plan-silver-premium .plan-inner-wrapper {
  border-color: $color-purple-light-2020;
}

.plan-gold-ultimate .plan-inner-wrapper {
  border-color: $color-orange-2020;
}

.plan .title {
  @include slp-font-size-3xl;
}

.plan-free .title {
  text-transform: uppercase;
}

.plan .description {
  @include slp-font-size-xl;
  margin-bottom: 1.6rem;
  /* ^ only margin bottom IF sub-description is disabled */
}

.plan .sub-description {
  @include slp-font-size-lg;
  @include slp-bold;
  display: inline-block;
  margin-bottom: 1.6rem;
}

.plan .price {
  font-size: 6rem;
  line-height: 6.4rem;
}

.plan-silver-premium .price {
  color: $color-purple-light-2020;
}

.plan-gold-ultimate .price {
  color: $color-orange-2020;
}

.plan .price-monthly {
  @include slp-font-size-md;
}

.plan .price-annually {
  @include slp-font-size-sm;
}

.plan .plan-reason {
  margin-top: 1.6rem;
}

.plan-free .plan-reason {
  margin-left: auto;
  margin-right: auto;
  max-width: 80%;
  /* because otherwise the current phrasing wraps the line for one word. */
}

.plan .feature-title {
  border-top-style: solid;
  border-top-width: 2px;
  margin: 2.4rem auto 1.2rem auto;
  padding-top: 1.4rem;
}

.plan-free .feature-title {
  border-color: $color-black333;
}

.plan-silver-premium .feature-title {
  border-color: $color-purple-light-2020;
}

.plan-gold-ultimate .feature-title {
  border-color: $color-orange-2020;
}

.plan ul {
  margin-bottom: 0;
  padding-left: 0;
}

.plan li,
.plan details,
.plan .first-feature {
  @include slp-font-size-base;
  display: flex;
  list-style-type: none;
  text-align: left;
}

.plan details {
  cursor: pointer;
  position: relative;
}

.plan summary {
  display: block;
  margin: 8px auto 0px auto;
}

.plan .icon {
  @include slp-font-size-base;
  display: inline-block;
  flex: 0 0 auto;
  width: 2.8rem;
}

.plan-free .icon {
  color: $color-black333;
}

.plan-silver-premium .icon {
  color: $color-purple-light-2020;
}

.plan-gold-ultimate .icon {
  color: $color-orange-2020;
}

.plan .btn {
  border-width: 2px;
  margin: 16px 0px 0px 0px;
  width: 100%;
}

.btn.start-free {
  background-color: $color-white;
  border-color: $color-black333;
  box-shadow: $button-box-shadow;
  color: $color-black333;
}

.btn.start-free:active,
.btn.start-free:focus,
.btn.start-free:hover {
  background-color: $color-black333;
  border-color: $color-black333;
  color: $color-white;
}

.btn.start-silver-premium {
  background-color: $color-purple-light-2020;
  border-color: $color-purple-light-2020;
  box-shadow: $button-box-shadow;
  color: $color-white;
}

.btn.start-silver-premium:active,
.btn.start-silver-premium:focus,
.btn.start-silver-premium:hover {
  background-color: $color-purple-light-2020-alt;
  border-color: $color-purple-light-2020-alt;
  color: $color-white;
}

.btn.start-gold-ultimate {
  background-color: $color-orange-2020;
  border-color: $color-orange-2020;
  box-shadow: $button-box-shadow;
  color: $color-white;
}

.btn.start-gold-ultimate:active,
.btn.start-gold-ultimate:focus,
.btn.start-gold-ultimate:hover {
  background-color: $color-orange-2020-alt;
  border-color: $color-orange-2020-alt;
  color: $color-white;
}

.plan .title:before {
  background-position: top center;
  background-repeat: no-repeat;
  content: "";
  display: block;
  height: 52px;
  margin: 0 auto;
  width: 96px;
}

.plan-free .title:before {
  background-image: url("/images/pricing/particles-free.svg");
}

.plan-silver-premium .title:before {
  background-image: url("/images/pricing/particles-premium.svg");
}

.plan-gold-ultimate .title:before {
  background-image: url("/images/pricing/particles-ultimate.svg");
}

///////// 10620 TEST

.plan .underline {
  border-bottom-style: solid;
  border-bottom-width: 1px;
  text-decoration: none;
}

.plan-free .underline {
  border-color: $color-black333;
}

.plan-silver-premium .underline {
  border-color: $color-purple-light-2020;
}

.plan-gold-ultimate .underline {
  border-color: $color-orange-2020;
}

.benefits-view-more,
.benefits-view-less {
  cursor: pointer;
}

.benefits-view-more.hidden,
.benefits-view.hidden {
  height: 0;
  opacity: 0;
  overflow: hidden;
}

.benefits-view-more:not(.hidden) {
  margin-top: 16px;
}

.benefits-view-less {
  margin: 16px auto 8px auto;
}

/*.experiment-test .plan-silver-premium:after {
  @include slp-font-size-xs;
  content: "* Self-managed plans only";
  display: block;
  padding-top: 16px;
}*/

///////// 11419 TEST

.plan .features .first-feature {
  margin-top: 1.6rem;
}

.plan .features .plan-feature-border {
  background: url("/images/icons/slp-dashed-line.svg") repeat-x;
  background-position: 0 0;
  background-size: 4px;
  color: $color-black333;
  display: block;
  height: 1px;
  margin-top: 7px;
  width: 100%;
}

.plan summary span {
  @include slp-font-size-base;
  display: inline-block;
  vertical-align: top;
}

.plan summary:focus {
  outline: none;
}

.plan summary .plan-feature-title {
  font-size: 0;
  max-width: calc(100% - 35px);
}

.plan-silver-premium .features .plan-feature-border {
  color: $color-purple-light-2020;
}

.plan-silver-premium summary:hover .plan-feature-border {
  background: $color-purple-light-2020;
}

.plan-gold-ultimate .features .plan-feature-border {
  color: $color-orange-2020;
}

.plan-gold-ultimate summary:hover .plan-feature-border {
  background: $color-orange-2020;
}

.plan .subfeatures:hover {
  cursor: default;
}

.plan-free details {
  cursor: default;
  pointer-events: none;
}

.plan details .icon {
  font-size: 0;
}

.plan details .icon svg {
  display: inline-block;
  vertical-align: middle;
}

.plan details .icon.collapse {
  display: none;
}

.plan details[open] .icon.collapse {
  display: inline-block;
}

.plan details[open] .icon.expand {
  display: none;
}

.plan summary::-webkit-details-marker {
  display: none;
}

.plan .subfeatures .icon {
  margin-left: 3rem;
}

.plan .subfeatures li:first-child {
  margin-top: .8rem;
}

.bottom-description {
  border-top: 1px solid $color-black333;
  margin-top: 2rem;
  padding-top: 2.4rem;
}

.plan-silver-premium .bottom-description {
  border-color: $color-purple-light-2020;
}

.plan-gold-ultimate .bottom-description {
  border-color: $color-orange-2020;
}

///////// MOBILE PLAN MATRIX


@media (max-width: $breakpoint-md) {

  .cmp-pricing-plan-list {
    margin-left: -15px;
    margin-right: -15px;
  }

  .plans {
    flex-wrap: nowrap;
  }

  .slp-container .plan {
    padding: .8rem;
    width: 70vw;
  }

}

.cmp-pricing-plan-list .pricing-nav-mobile {
  position: relative;
}

.cmp-pricing-plan-list .pricing-nav-mobile ul {
  display: none;
}

.cmp-pricing-plan-list .pricing-nav-mobile ul.slick-dots {
  border-bottom: 2px solid $color-black333;
  bottom: 0;
  display: block;
  font-size: 0;
  margin: 0px 0px 20px 0px;
  position: relative;
}

.cmp-pricing-plan-list .pricing-nav-mobile li {
  border: 0 none;
  border-bottom: 4px solid transparent;
  display: inline-block;
  height: inherit;
  list-style-type: none;
  margin: 0;
  outline: none;
  padding: 0;
  vertical-align: bottom;
  width: calc(100% / 3);
}

.cmp-pricing-plan-list .pricing-nav-mobile li.slick-active[aria-controls="navigation00"],
.cmp-pricing-plan-list .pricing-nav-mobile li.slick-active[aria-controls="navigation10"] {
  border-color: $color-black333;
}

.cmp-pricing-plan-list .pricing-nav-mobile li.slick-active[aria-controls="navigation01"],
.cmp-pricing-plan-list .pricing-nav-mobile li.slick-active[aria-controls="navigation11"] {
  border-color: $color-purple-light-2020;
}

.cmp-pricing-plan-list .pricing-nav-mobile li.slick-active[aria-controls="navigation02"],
.cmp-pricing-plan-list .pricing-nav-mobile li.slick-active[aria-controls="navigation12"] {
  border-color: $color-orange-2020;
}

.cmp-pricing-plan-list .pricing-nav-mobile li button {
  border: 0 none;
  font-size: 0;
  height: inherit;
  outline: 0;
  padding: 0;
  width: 100%;
}

.cmp-pricing-plan-list .pricing-nav-mobile li button:before {
  @include slp-font-size-base;
  display: block;
  font-family: $font-family-primary;
  padding: 8px 0px;
  position: static;
  height: inherit;
  opacity: 1;
  width: 100%;
}

.cmp-pricing-plan-list .pricing-nav-mobile li[aria-controls="navigation00"] button:before,
.cmp-pricing-plan-list .pricing-nav-mobile li[aria-controls="navigation10"] button:before {
  content: "FREE";
}

.cmp-pricing-plan-list .pricing-nav-mobile li[aria-controls="navigation01"] button:before,
.cmp-pricing-plan-list .pricing-nav-mobile li[aria-controls="navigation11"] button:before {
  content: "Premium";
}

.cmp-pricing-plan-list .pricing-nav-mobile li[aria-controls="navigation02"] button:before,
.cmp-pricing-plan-list .pricing-nav-mobile li[aria-controls="navigation12"] button:before {
  content: "Ultimate";
}

////////////////////////////////
///////////* BUY MODAL *////////////
////////////////////////////////

// Below items were copy-pasted from preexisting styles


.pricing-page {

  .modal {
    .modal-dialog {
      align-items: center;
      display: flex;
      height: 100%;
      margin-bottom: 0;
      margin-top: 0;
    }

    .modal-content {
      width: 100%;
    }

    .modal-header {
      border: 0;
      display: flex;
      justify-content: flex-end;

      .close {
        border: 0;
        font-size: 24px;
      }
    }

    &.buy-modal {
      .modal-header {
        padding: 10px 10px 0 16px;

        .close {
          margin-top: 0;
        }
      }

      .modal-body {
        display: flex;
      }
    }

    &.compare-modal {
      .modal-header {
        padding: 0;
        position: relative;

        .close {
          margin-top: 2px;
          margin-right: 6px;
          position: absolute;
          z-index: 200;
        }
      }

      .modal-body {
        display: block;
      }
    }

    .modal-body {
      padding: 0px 24px 24px 24px;

      .hosted,
      .self-managed {
        align-items: center;
        display: flex;
        flex-direction: column;
        width: 50%;
      }

      .hosted {
        border-right: 1px solid $border-color;
        padding-right: 16px;
      }

      .self-managed {
        padding-left: 16px;
      }

      .explanation {
        flex-grow: 1;
      }

      .button, 
      .btn {
        white-space: nowrap;
        width: 100%;
      }
    }
  }
}

// Below items are overrides or new styles for the modal

@media (max-width: 500px) {
  :root .pricing-page .modal.buy-modal .modal-body {
    display: block;
  }

  :root .pricing-page .modal .modal-body .hosted,
  :root .pricing-page .modal .modal-body .self-managed {
    border: 0;
    display: block;
    margin: 0;
    padding: 0;
    width: 100%;
  }

  :root .pricing-page .modal .modal-body .hosted {
    border-bottom: 1px solid $border-color;
    margin-bottom: 2.4rem;
    padding-bottom: 2.4rem;
  }

}

:root .modal-backdrop.in {
  opacity: .85;
}

.buy-modal .title {
  @include slp-font-size-xl;
}

.buy-modal .subtitle {
  @include slp-font-size-sm;
}

.buy-modal .setup {
  @include slp-bold;
  margin-top: 1.6rem;
}

.buy-modal .explanation {
  @include slp-font-size-sm;
  margin-bottom: 1.6rem;
}

////////////////////////////////
///////////* FEATURE COMPARISON *////////////
////////////////////////////////

.cmp-feature-comparison table {
  border-collapse: collapse;
}

.cmp-feature-comparison tbody {
  display: block;
  height: 510px;
  overflow: hidden;
}

.cmp-feature-comparison tbody.expanded {
  height: inherit;
}

.cmp-feature-comparison .check-container svg {
  position: relative;
  left: 6px;
  /* adjust perception due to the odd shape of a checkmark */
}

.cmp-feature-comparison .feature-list-view-more {
  background-color: $color-white;
  box-shadow: $slp-box-shadow;
  cursor: pointer;
  font-weight: 600;
  padding: 1.6rem 2.5rem;
}

.cmp-feature-comparison .feature-list-view-more.expanded {
  bottom: 0px;
  position: sticky;
}

.cmp-feature-comparison .feature-list-view-more:active span:not(.icon),
.cmp-feature-comparison .feature-list-view-more:focus span:not(.icon),
.cmp-feature-comparison .feature-list-view-more:hover span:not(.icon) {
  text-decoration: underline;
}

.cmp-feature-comparison .feature-list-view-more .icon svg {
  display: inline-block;
  margin-left: 8px;
  vertical-align: middle;
}

.cmp-feature-comparison .feature-list-view-more.expanded .icon svg {
  transform:rotate(180deg);
}

.cmp-feature-comparison .feature-list-view-more .more,
.cmp-feature-comparison .feature-list-view-more.expanded .less {
  display: inline-block;
}

.cmp-feature-comparison .feature-list-view-more .less,
.cmp-feature-comparison .feature-list-view-more.expanded .more {
  display: none;
}

.cmp-feature-comparison thead,
.cmp-feature-comparison tr {
  display: table;
  table-layout: fixed;
  width: 100%;
}

.cmp-feature-comparison thead {
  background: $color-white;
  display: block;
  padding-top: 80px;
  position: sticky;
  top: 0;
  z-index: 11;
}

.feature-table-title {
  @include slp-font-size-2xl;
  position: relative;
}

.feature-table-title:before {
  background: url("/images/pricing/particles-compare.svg") no-repeat top left;
  content: "";
  height: 54px;
  left: -32px;
  position: absolute;
  top: -27px;
  width: 64px;
}

.feature-table-disclaimer {
  @include slp-font-size-base;
}

.feature-table-plan-title {
  @include slp-font-size-xl;
}

.feature-th-free .feature-table-plan-title {
  text-transform: uppercase;
}

.feature-table-plan-price {
  @include slp-font-size-base;
  margin-bottom: .8rem;
}

.cmp-feature-comparison .feature-table-plan-button {
  margin: 0rem 0rem 3rem 0rem;
}

.cmp-feature-comparison tbody td {
  @include slp-font-size-base;
  padding: 1.6rem 2.5rem;
}

.cmp-feature-comparison tbody tr:nth-child(odd) {
  background: $color-gray-super-light;
}

.cmp-feature-comparison .feature-name a {
  color: $color-black333;
  text-decoration: none;
}

.cmp-feature-comparison .feature-name a:active,
.cmp-feature-comparison .feature-name a:focus,
.cmp-feature-comparison .feature-name a:hover {
  text-decoration: underline;
}

///////// FEATURE GROUP VARIANT

.cmp-feature-comparison .feature-list-group tr:nth-child(odd) {
  background: $color-white;
}

.cmp-feature-comparison .feature-list-group tr:nth-child(even) {
  background: $color-gray-super-light;
}

.cmp-feature-comparison .feature-list-group .feature-group-title td {
  @include slp-font-size-xl;
}

.cmp-feature-comparison .feature-list-group {
  height: inherit;
  margin-bottom: 4.8rem;
}

///////// MOBILE FEATURE COMPARISON

@media (max-width: $breakpoint-md) {

  .cmp-feature-comparison table {
    display: block;
  }

  .cmp-feature-comparison tbody {
    overflow: hidden;
  }

  .feature-table-plan-button,
  .feature-table-plan-price {
    display: none;
  }

  .cmp-feature-comparison thead tr,
  .cmp-feature-comparison tbody tr {
    display: flex;
    flex-wrap: nowrap;
  }

  .cmp-feature-comparison thead th {
    align-self: flex-end;
  }

  .cmp-feature-comparison thead th,
  .cmp-feature-comparison tbody td {
    flex: 0 0 auto;
    padding: .8rem 1.6rem;
    width: 50px;
  }

  .cmp-feature-comparison thead th:first-child,
  .cmp-feature-comparison tbody td:first-child {
    width: calc(100% - 150px);
  }

  .feature-table-plan-title {
    transform: rotate(180deg);
    width: 50px;
    writing-mode: vertical-rl;
  }

  .cmp-feature-comparison th:not(:first-child) {
    border-right-style: solid;
    border-right-width: 2px;
  }

  .cmp-feature-comparison th.feature-th-free {
    border-color: $color-black333;
  }

  .cmp-feature-comparison th.feature-th-silver-premium {
    border-color: $color-purple-light-2020;
  }

  .cmp-feature-comparison th.feature-th-gold-ultimate {
    border-color: $color-orange-2020;
  }

  .feature-table-title,
  .feature-table-disclaimer,
  :root .cmp-feature-comparison tbody td {
    line-height: 1.2;
  }

}

////////////////////////////////
///////////* FAQ *////////////
////////////////////////////////

#faq h2 {
  display: inline-block;
  margin-bottom: 32px;
  position: relative;
}

#faq h2:before {
  background: url("/images/pricing/particles-faq-left.svg") no-repeat top right;
  content: "";
  height: 48px;
  left: -28px;
  position: absolute;
  top: -24px;
  width: 56px;
}

#faq h2:after {
  background: url("/images/pricing/particles-faq-right.svg") no-repeat top left;
  content: "";
  height: 40px;
  right: -26px;
  position: absolute;
  top: -20px;
  width: 52px;
}

#faq details {
  background: $color-white;
  border-color: $color-gray;
  border-style: solid;
  border-width: 0px 1px 1px 1px;
  color: $color-black333;
  list-style-type: none;
  overflow: hidden;
  width: 100%;

  a {
    color: inherit;
    text-decoration: underline;

    &:active,
    &:focus,
    &:hover {
      color: $color-black333;
    }
  }
}

#faq details:first-of-type {
  border-radius: $border-radius-large $border-radius-large 0px 0px;
  border-top-width: 1px;
}

#faq details:last-of-type {
  border-radius: 0px 0px $border-radius-large $border-radius-large;
}

#faq details[open] {
  background: $color-gray-super-light;
}

#faq summary {
  @include slp-font-size-2xl;
  background: $color-white;
  cursor: pointer;
  list-style-type: none;
  padding: 1.6rem 4rem 1.6rem 2.4rem;
  position: relative;
}

#faq summary::-webkit-details-marker {
  display: none;
}

#faq details .icon {
  float: right;
  font-size: 0;
  vertical-align: middle;
}

#faq details .icon svg {
  display: inline-block;
  vertical-align: middle;
}

#faq details .icon.collapse {
  display: none;
}

#faq details[open] .icon.collapse {
  display: inline-block;
}

#faq details[open] .icon.expand {
  display: none;
}

.faq-item {
  padding: .4rem 4rem 0rem 2.4rem;
}

.faq-item .question {
  @include slp-font-size-xl;
  margin-bottom: 8px;
}

.faq-item:first-of-type {
  padding-top: 3rem;
}

.faq-item:last-of-type {
  padding-bottom: .8rem;
}

//////////////////////////////
/* CTA CONTACT *//////////////////////
//////////////////////////////

.cmp-cta-contact h3 {
  position: relative;
}

.cmp-cta-contact h3:before {
  background: url("/images/enterprise/gitlab-enterprise-team-member-photos.png") no-repeat 0 0;
  background-size: 212px;
  content: "";
  display: block;
  font-size: 0;
  height: 91px;
  line-height: 0;
  margin: 0px auto 20px auto;
  width: 213px;
}

.cmp-cta-contact h3:after {
  background: url("/images/pricing/particles-contact.svg") no-repeat 0 0;
  content: "";
  display: inline-block;
  height: 47px;
  left: calc(50% - 43px);
  position: absolute;
  top: -47px;
  width: 86px;
}
